Partio

Public Attributes | List of all members
Partio::FixedAttribute Class Reference

Fixed Attribute Interface. More...

`#include <PartioAttribute.h>`

## Public Attributes
ParticleAttributeType | type
| Type of attribute.
int | count
| Number of entries, should be 3 if type is VECTOR.
std::string | name
| Name of attribute.
int | attributeIndex
| Internal method of fast access, user should not use or change.

## Detailed Description

Fixed Attribute Interface.

This class provides a handle and description of an attribute. This includes what type the primitive is, the number of entries, the name of the attribute and an index which speeds lookups of data

## Member Data Documentation

## ◆ attributeIndex

int Partio::FixedAttribute::attributeIndex

Internal method of fast access, user should not use or change.

## ◆ count

int Partio::FixedAttribute::count

Number of entries, should be 3 if type is VECTOR.

Referenced by Partio::ParticlesDataMutable::setFixed().

## ◆ name

std::string Partio::FixedAttribute::name

Name of attribute.

## ◆ type

ParticleAttributeType Partio::FixedAttribute::type

Type of attribute.

Referenced by Partio::ParticlesDataMutable::setFixed().

The documentation for this class was generated from the following file:

- src/lib/PartioAttribute.h